﻿@using LawMingo.Areas.Admin.Helpers
@model Contract.ContractType

@{
    List<SelectListItem> list = new List<SelectListItem>();
    foreach (var value in EnumHelper<Contract.ContractType>.GetValues(Contract.ContractType.Smart))
    {
        var AttributeName = EnumHelper<Contract.ContractType>.GetDisplayValue(value);
        list.Add(new SelectListItem()
        {
            Text = AttributeName.ToString(),
            Value = ((int)value).ToString()
        });
    }
}

@(
     Html.Kendo().DropDownListFor(m => m)
         .DataTextField("Text")
         .DataValueField("Value")        
         .BindTo(list)          
)

